<style>
    .homeBanner {
        position: relative;
        width: 66%;
        height: 369px;
        border-radius: 5px;
        border: none;
        overflow: hidden;
    }
    .form-control:focus {
  border-color: #FF0000!important;
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(255, 0, 0, 0.6)!important;
}

.tooltip .tooltip-inner {
    background-color: black !important;
}
    /* .traveller-modal .modal-content{
        margin-top: 0%!important;
    } */
</style>
<link rel="stylesheet" href="../styles.css" />
<div class="artloader" id = "load" style="display:none">
  <div class="cssload-container">
      <div class="cssload-tube-tunnel">
          <img src="assets/loadingart.gif" alt="loader" class="loaderimg" />
      </div>
      <!-- <div class="loadingdata"><p>Please Wait we are processing your action....</p></div> -->
  </div>
</div>

<div class="search-area curvedCorner ">
    <div class="search-bg">
        <img src="assets/bird.png" />
    </div>
    <div class="tab-content search-content">
        <div id="flightSearch" class="tab-pane fadein active " ng-controller="flightSearchCtrl">
            <form id="searchForm" autocomplete="off">
                <ul id="innerTab" class="flight-inline route-tabs mb-2 ft-sz-14">
                    <li class="flight-type " id="round">
                        <a type="button" ng-click="oneWayAndRoundTrip('2')" data-toggle="tab"
                            style="text-decoration: none;" data-target="#roundTrip" class="active">Round Trip</a>
                    </li>
                    <li class="flight-type" id="oneWay">
                        <a type="button" ng-click="oneWayAndRoundTrip('1',true)" style="text-decoration: none;"
                            data-toggle="tab" data-flightType="oneWay" data-target="#roundTrip">One way</a>
                    </li>
                    <li class="flight-type" id="multiple">
                        <a type="button" data-toggle="tab" ng-click="initMultiCityTrip()" style="text-decoration: none;"
                            data-flightType="multiple" data-target="#multiCity">Multi-City</a>
                    </li>
                </ul>
                <div class="tab-content">
                    <div id="roundTrip" class="tab-pane fadein active">
                        <div class="textleft row">
                            <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 textleft">
                                <div class="form-group">
                                    <span class="size10"><b>Flying From</b></span>
                                    <span role="status" aria-live="polite"
                                        class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span>
                                    <input ng-model="flightSearchRQ.frmAirport" type="text" id="from_place" required=""
                                        name="from_place" class="form-control ui-autocomplete-input valid" autocomplete="off"
                                      autofocus=""   placeholder="Origin Airport/City" onkeypress="return (event.charCode > 64 && event.charCode < 91) || (event.charCode > 96 && event.charCode < 123) || (event.charCode === 32)" onkeyup="this.value=this.value.replace([A-Za-z],'');"/>
                                </div>
                            </div>
                            <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 textleft" id="flyingto">
                                <div class="form-group">
                                    <span class="size10"><b>Flying To</b></span>
                                    <span role="status" aria-live="polite"
                                        class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span>
                                    <input ng-model="flightSearchRQ.toAirport" id="to_place" type="text" required=""
                                        class="form-control ui-autocomplete-input valid" placeholder="Destination Airport/City"
                                        autofocus="" onkeypress="return (event.charCode > 64 && event.charCode < 91) || (event.charCode > 96 && event.charCode < 123) || (event.charCode === 32)" onkeyup="this.value=this.value.replace([A-Za-z],'');" />
                                </div>
                            </div>
                        </div>
                        <div class="textleft row">
                            <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 textleft ">

                                <div class="form-group datepickerleave">
                                    <span class="size10"><b>When?</b> <span ng-hide="onewayduration">( {{totalDays}}
                                            Days )</span></span>
                                    <span
                                        class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span>
                                    <input onkeydown="return false;" required type="text" id="daterange1"
                                        name="daterange" datepicker-popup is-open="true" required=""
                                        class="form-control date-picker" autocomplete="off" placeholder="Enter date"
                                        date-range-picker
                                        ng-selected="myFunction(strDeptDate.startDate,strDeptDate.endDate)"
                                        ng-model="strDeptDate" options="flightop"
                                         />
                                </div>              
                            </div>
                            <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 textleft pax-count-container">
                                <button type="button" class="btn btn-xs info-icon" data-toggle="tooltip"
                                    data-placement="right"
                                    title="You can book upto 9 passengers per booking, including adults and children. Each adult passenger can bring one infant. For other travel requirements like group booking, child travelling alone etc, please contact us.">
                                    <i class="las la-info-circle text-white"></i>
                                </button>
                                <div class="form-group">
                                    <span class="size10"><b>Adult</b></span>
                                    <select class="form-control mb15" id="fltrADT" name="naming" ng-model="flightSearchRQ.adtCnt" required="">
                                        <option value="1">1</option>
                                        <option value="2">2</option>
                                        <option value="3">3</option>
                                        <option value="4">4</option>
                                        <option value="5">5</option>
                                        <option value="6">6</option>
                                        <option value="7">7</option>
                                        <option value="8">8</option>
                                        <option value="9">9</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <span class="size10"><b>Child</b></span>
                                    <select class="form-control mb15" id="fltrCNN" ng-model="flightSearchRQ.chldCnt">
                                        <option value="0">0</option>
                                        <option value="1">1</option>
                                        <option value="2">2</option>
                                        <option value="3">3</option>
                                        <option value="4">4</option>
                                        <option value="5">5</option>
                                        <option value="6">6</option>
                                        <option value="7">7</option>
                                        <option value="8">8</option>
                                        <option value="9">9</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <span class="size10"><b>Infant</b></span>
                                    <select class="form-control mb15" id="fltrINF"  ng-model="flightSearchRQ.infCnt">
                                        <option value="0">0</option>
                                        <option value="1">1</option>
                                        <option value="2">2</option>
                                        <option value="3">3</option>
                                        <option value="4">4</option>
                                        <option value="5">5</option>
                                        <option value="6">6</option>
                                        <option value="7">7</option>
                                        <option value="8">8</option>
                                        <option value="9">9</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="textleft row">
                            <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 textleft">
                                <div class="form-group">
                                    <span class="size10"><b>Class</b></span>
                                    <select class="form-control mb15 ng-pristine ng-untouched ng-valid"
                                        ng-model="flightSearchRQ.classType" id="fltr-class">
                                        <option value="Economy">Economy</option>
                                        <option value="Business">Business</option>
                                        <option value="First">First</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 textleft">
                                <div class="form-group">
                                    <span class="size10"><b>Preferred Airline</b></span>
                                    <span role="status" aria-live="polite"
                                        class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span>
                                    <!-- <input type="text" id="prefered_airline" name="prefered_airline"
                    ng-model="flightSearchRQ.airline" class="form-control ui-autocomplete-input valid"
                    placeholder="Preferred airline" autofocus="" /> -->
                                    <input type="text" name="prefAirline" id="contenteditables1" class="form-control"
                                        placeholder="Preferred Airline" />

                                </div>
                            </div>
                            <!-- <div class="col-md-6 textleft" >
                                <div class="form-group">
                                    <span class="size10"><b>Promo Code</b></span>
                                    <input type="text" name="promocode" class="form-control" ng-model="flightSearchRQ.promoCode" id="promocode" placeholder="Promo Code">
                                </div>
                            </div> -->
                            <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 " style="margin-top:22px">
                                <label class="checkbox-label home-cb direct-flight-cb">
                                    <input type="checkbox" name="directFlight" id="directFlight"
                                        ng-model="flightSearchRQ.prefNonStop" />
                                    <span class="checkbox-custom rectangular"></span>
                                    <span class="input-title">Direct Flight</span>
                                </label>
                                <!-- <div id="contentdiv" style="float:left; width:100%; padding:0;" class="clearfix"></div>
                                <span class="col-md-4" ng-show="flightSearchRQ.prefAirlineList.length>0"
                                    ng-repeat="airline in flightSearchRQ.prefAirlineList" class="contenttags">
                                    <span style="float:left;" class="destination">{{airline}}</span>
                                    <span class="xclass" ng-click="removeprefAirlineList(airline);">&times;</span>
                                </span> -->
                            </div>
                            <div class="col-xs-6 col-sm-6 col-md-6 col-lg-6 textleft">
                                <div id="contentdiv" style="float:left; width:100%; padding:0;" class="clearfix"></div>
                                <span ng-show="flightSearchRQ.prefAirlineList.length>0"
                                    ng-repeat="airline in flightSearchRQ.prefAirlineList" class="contenttags">
                                    <span style="float:left;" class="destination">{{airline}}</span>
                                    <span class="xclass" ng-click="removeprefAirlineList(airline);">&times;</span>
                                </span>
                            </div>
                        </div>
                        <div class="textleft row home-search-btn-section">
                            <div class="col-xs-12 col-sm-5 col-md-5 col-lg-5 textleft">
                                <button ng-click="flightSearch('roundTrip',flightSearchRQ)" type="submit"
                                    id="flight-search" class="btn btn-lg custom-search-btn">
                                    SEARCH
                                </button>
                            </div>
                        </div>
                    </div>
                    <div id="multiCity" class="tab-pane fadein">
                        <div class="multicity-groups">
                            <div class="multicity-group" id="cloneTrip" style="    max-height: 180px;
                            overflow-y: auto;
                            overflow-x: hidden;
                            margin-right: -15px;
                            padding-right: 5px;">
                                <div class="textleft row"
                                    ng-repeat="multicityInfo in multiCityFlightSearchRQ.multicityInfos track by $index">
                                    <div class="col-md-4 textleft pr-0">
                                        <div class="form-group">
                                            <span class="size10"><b>Flying From </b></span>
                                            <span role="status" aria-live="polite"
                                                class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span><input
                                                type="text" ng-keypress="intiMultiCityFromAirPortAutoComplete($index)"
                                                id="{{'multi_flying_from_'+$index}}" required="" name="from_place"
                                                ng-model="multicityInfo.frmAirport"
                                                class="form-control ui-autocomplete-input valid"
                                                placeholder="Origin Airport/City" autofocus="" onkeypress="return (event.charCode > 64 && event.charCode < 91) || (event.charCode > 96 && event.charCode < 123) || (event.charCode === 32)" onkeyup="this.value=this.value.replace([A-Za-z],'');"/>
                                        </div>
                                    </div>
                                    <div class="col-md-4 textleft pr-0">
                                        <div class="form-group">
                                            <span class="size10"><b>Flying To </b></span>
                                            <span role="status" aria-live="polite"
                                                class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span><input
                                                type="text" id="{{'multi_flying_to_'+$index}}"
                                                ng-keypress="intiMultiCityToAirPortAutoComplete($index)" required=""
                                                class="form-control ui-autocomplete-input valid"
                                                ng-model="multicityInfo.toAirport" placeholder="Destination Airport/City"
                                                autofocus="" onkeypress="return (event.charCode > 64 && event.charCode < 91) || (event.charCode > 96 && event.charCode < 123) || (event.charCode === 32)" onkeyup="this.value=this.value.replace([A-Za-z],'');"/>
                                        </div>
                                    </div>
                                    <div class="col-md-4 textleft">
                                        <div class="form-group">
                                            <span class="size10"><b>When?</b></span>
                                            <!-- <span class="size10"><b>When?</b></span> -->
                                            <span role="status" aria-live="polite"
                                                class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required">

                                                <!--<input type="date" ng-click="multicityWhen($event)" min="multiminDate" id="departure" required="" ng-model="multicityInfo.strDeptDate" class="form-control ui-autocomplete-input valid"
                                                placeholder="Departure" autofocus="" /> -->
                                            </span> <input onkeydown="return false;" datepicker-popup is-open="true"
                                                required type="text" id="{{'multi_flying_departure_'+$index}}"
                                                name="daterange" class="form-control date-picker" autocomplete="off"
                                                placeholder="Enter date" date-range-picker
                                                ng-mouseenter="multicityWhen($event,strmultiDate._d,$index)"
                                                ng-model="strmultiDate" options="flightop" 
                                              />

                                        </div>
                                    </div>

                                </div>
                            </div>
                            <div class="textleft row">
                                <div class="col-md-7 textleft pax-count-container">
                                    <button type="button" class="btn btn-xs info-icon" data-toggle="tooltip"
                                        data-placement="right"
                                        title="You can book upto 9 passengers per booking, including adults and children. Each adult passenger can bring one infant. For other travel requirements like group booking, child travelling alone etc, please contact us.">
                                        <i class="las la-info-circle text-white"></i>
                                    </button>
                                    <div class="form-group">
                                        <span class="size10"><b>Adult</b></span>
                                        <select class="form-control mb15" id="fltmADT" ng-model="multiCityFlightSearchRQ.adtCnt">
                                            <option value="1">1</option>
                                            <option value="2">2</option>
                                            <option value="3">3</option>
                                            <option value="4">4</option>
                                            <option value="5">5</option>
                                            <option value="6">6</option>
                                            <option value="7">7</option>
                                            <option value="8">8</option>
                                            <option value="9">9</option>
                                        </select>
                                    </div>
                                    <div class="form-group">
                                        <span class="size10"><b>Child</b></span>
                                        <select class="form-control mb15" id="fltmCNN" ng-model="multiCityFlightSearchRQ.chldCnt">
                                            <option value="0">0</option>
                                            <option value="1">1</option>
                                            <option value="2">2</option>
                                            <option value="3">3</option>
                                            <option value="4">4</option>
                                            <option value="5">5</option>
                                            <option value="6">6</option>
                                            <option value="7">7</option>
                                            <option value="8">8</option>
                                            <option value="9">9</option>
                                        </select>
                                    </div>
                                    <div class="form-group">
                                        <span class="size10"><b>Infant</b></span>
                                        <select class="form-control mb15" id="fltmINF" ng-model="multiCityFlightSearchRQ.infCnt">
                                            <option value="0">0</option>
                                            <option value="1">1</option>
                                            <option value="2">2</option>
                                            <option value="3">3</option>
                                            <option value="4">4</option>
                                            <option value="5">5</option>
                                            <option value="6">6</option>
                                            <option value="7">7</option>
                                            <option value="8">8</option>
                                            <option value="9">9</option>
                                        </select>
                                    </div>
                                </div>
                                <!-- <div class="col-md-5 textleft" >
                                    <div class="form-group">
                                        <span class="size10"><b>Promo Code</b></span>
                                        <input type="text" name="promocode" class="form-control" ng-model="multiCityFlightSearchRQ.promoCode" id="promocode" placeholder="Promo Code">
                                    </div>
                                </div> -->
                                <div class="col-md-5 textleft">
                                    <div class="form-group">
                                        <span class="size10"><b>Class</b></span>
                                        <select class="form-control mb15 ng-pristine ng-untouched ng-valid"
                                            ng-model="multiCityFlightSearchRQ.classType" id="fltm-class">
                                            <option value="Economy">Economy</option>
                                            <option value="Business">Business</option>
                                            <option value="First">First</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-12 testend add-trip-btn-section">
                                    <button type="button" class="btn btn-outline add-trip-btn"
                                        style="border-color: white;padding: 5px 4px; font-size: 14px;" ng-click="addMultiCityTrip()"
                                        href="#cloneTrip">Add Trip</button>
                                    <button type="button" class="btn btn-outline remove-trip-btn"
                                        ng-click="removeMultiCityTrip()" style="border-color: white;font-size: 14px;">Remove</button>
                                </div>


                                <div class="textleft row home-search-btn-section">
                                    <div class="col-xs-12 col-sm-5 col-md-5 col-lg-5 textleft">
                                        <button type="submit"
                                            ng-click="flightSearch('multiCity',multiCityFlightSearchRQ)"
                                            class="btn btn-lg custom-search-btn ml-3">
                                            SEARCH
                                        </button>
                                    </div>
                                </div>

                            </div>

                        </div>
                    </div>
                </div>
            </form>
        </div>


    </div>
</div>
<!-- <div id="myCarousel" class="carousel slide carousel-fade" data-ride="carousel">
    <ol class="carousel-indicators">
        <li data-target="#myCarousel" data-slide-to="0" class="active"></li>
        <li data-target="#myCarousel" data-slide-to="1"></li>
        <li data-target="#myCarousel" data-slide-to="2"></li>
        <li data-target="#myCarousel" data-slide-to="3"></li>
    </ol>
    <div class="carousel-inner" id="bannerimgid">
    </div>
</div> 
<div  id="bannerimgid" class="homeBanner"></div> -->

<iframe src="bannercms.html"  height="760px" width="100%" style="border:none; overflow:hidden;"  id="bannerimgid" title="Iframe Example"></iframe>

<!-- <div class="img-container col-lg-7 col-md-1" id="bannerimgid" data-slideshow></div> -->

<script>
    $(document).ready(function(){
        $('.dropdown').hover(function(){
            $('.daterangepicker').find('.cancelBtn').click()
        })
    });

    $(document).ready(function(){
    $('[data-toggle="tooltip"]').tooltip();
    });
</script>

<style>
    .testend {
        text-align: end;
    }

     .form-control {
        color: black !important;
    }

    input::placeholder {
        font-size: 12px !important;
    }

    input::placeholder {
        font-size: 13px !important;
    }

    select:required:invalid {
        font-size: 13px !important;
    }

    option[value=""][disabled] {
        display: none;
    }

    option {
        font-size: 15px !important;
    }

    .custom-search-btn {
        background: linear-gradient(#d91718, #d91718) !important;
        border: 1px solid #d91718 !important;
        font-family: "Montserrat", sans-serif !important;
        font-size: 13px !important;
        font-weight: 700 !important;
        color: #fff !important;
        margin-top: 12px !important;
    }

    .btn:hover {
        color: black !important;
        background-color: red !important
    }

    .daterangepicker table {
        width: 100% !important;
        margin: 0 !important;
        font-size: 12px !important;
    }

    .btn-success {
        color: #fff !important;
        background-color: red !important;
        border-color: red !important;
    }

    .checkbox-label.home-cb {
        font-size:
            13px;
        color:
            #fff;
        line-height:
            16px;
        font-weight:
            600;
        margin-bottom:
            15px;
    }

    .checkbox-label .checkbox-custom {
        position:
            absolute;
        top:
            0px;
        left:
            0px;
        height:
            18px;
        width:
            18px;
        transform:
            scale(0.85);
        background-color:
            transparent;
        border-radius:
            4px;
        transition:
            all 0.3s ease-out;
        -webkit-transition:
            all 0.3s ease-out;
        -moz-transition:
            all 0.3s ease-out;
        -ms-transition:
            all 0.3s ease-out;
        -o-transition:
            all 0.3s ease-out;
        border:
            2px solid white;
    }

    .remove-trip-btn:hover {
        background-color:
            #2195c3 !important;
    }

    .add-trip-btn:hover {
        background-color:
            #2195c3 !important;
    }

    .daterangepicker.dropdown-menu {
        max-width: 493px !important;
        z-index: 3000 !important;
    }

    .daterangepicker.dropdown-menu.single {
        max-width: fit-content !important;
    }
</style>
